
local GOBBO_GREEN = Bot.Template("GOBBO_GREEN", "KYRMIR_GOBBO_GREEN"); 

GOBBO_GREEN.setLevel(0);
GOBBO_GREEN.setMagicLevel(0);

GOBBO_GREEN.setHealth(75);
GOBBO_GREEN.setRespawnTime(100)

GOBBO_GREEN.setDamage(DAMAGE_EDGE, 50);

GOBBO_GREEN.setProtection(DAMAGE_EDGE, 0);
GOBBO_GREEN.setProtection(DAMAGE_BLUNT, 500);
GOBBO_GREEN.setProtection(DAMAGE_FIRE, 0);
GOBBO_GREEN.setProtection(DAMAGE_MAGIC, 10);
GOBBO_GREEN.setProtection(DAMAGE_POINT, 20);

// Fight system
GOBBO_GREEN.setWarnTime(6);
GOBBO_GREEN.setHitDistance(120);
GOBBO_GREEN.setChaseDistance(1800);
GOBBO_GREEN.setDetectionDistance(1200);
GOBBO_GREEN.setAttackSpeed(2100);

GOBBO_GREEN.setInitiativeFunction(STANDARD_ANIMAL_AI);

GOBBO_GREEN.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() != null) return;

    switch(random(0, 3))
    {
        case 0: bot.playAni("R_ROAM1"); break;				
        case 1: bot.playAni("R_ROAM2"); break;
        case 2: bot.playAni("R_ROAM3"); break;
        case 3: bot.playAni("T_PERCEPTION"); break;	
    }

    bot.setAngle(rand() % 360);
});

// Drop
registerMonsterReward("KYRMIR_GOBBO_GREEN", Reward.Content(100)
    .addDrop(Reward.Drop("ITMI_GOLD", 50, 50))
);

registerMonsterTemplate("KYRMIR_GOBBO_GREEN", GOBBO_GREEN);

// Spawnlist
spawnBot(GOBBO_GREEN, -32075, -233, 8582, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -31713, -237, 8190, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -24584, -1020, 18444, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -23839, -898, 19245, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -23609, -1102, 18031, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -20690, -359, 7221, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -21033, -554, 6507, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -20243, 118, 7590, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -20404, 128, 7972, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -18190, -500, -651, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -18340, -461, -591, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -19617, -380, -810, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -20008, -395, -470, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -19892, -365, -1382, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -25893, -833, 14416, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -12911, -3854, 21723, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -13086, -3871, 21663, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -741, -2799, 11373, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -866, -2808, 11662, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -856, -2812, 11819, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -14809, -531, 2254, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -14706, -528, 2004, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -19504, -3858, -22328, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -31268, -2134, 23275, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 23734, -5216, 11498, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 18599, -5121, 3034, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 18709, -5116, 3294, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 18871, -4573, -79, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 18728, -4682, -970, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 24615, -5112, -731, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 24997, -5128, -1607, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 23898, -5113, -426, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 26129, -5076, -1452, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 30016, -4393, -7939, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 30253, -4361, -7895, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 26212, -5212, -4424, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 24653, -4857, -6147, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 16815, -4951, 11384, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 17243, -4934, 11486, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 18036, -4912, 12566, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 10718, -5022, 14049, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 8828, -5067, 13667, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 7882, -5152, 12264, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 8955, -5196, 10630, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 8081, -5240, 9906, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 25362, -4698, -8414, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 23619, -4644, -7235, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 22837, -4656, -5659, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 22253, -4662, -6223, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 21154, -4713, -9664, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 14699, -5286, -11342, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 13943, -5261, -11105, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, 13405, -5214, -10728, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -13364, -2709, -12219, "ADDONWORLD.ZEN");
spawnBot(GOBBO_GREEN, -13410, -2799, -12373, "ADDONWORLD.ZEN");

spawnBot(GOBBO_GREEN, -28771.3, -363.39, 15727.2, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 13888.1, 246.28, 1942.87, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -4481.68, -1134.3, 7667.76, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -4411, -1139.33, 7765.06, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -4179.94, -1134.22, 7899.09, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -4132.28, -1132.83, 7915.07, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -4308, -1136.47, 7846.05, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 7472, 6704.87, 20681.8, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 7767, 6717.23, 20753.9, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 7089, 6700.54, 20658.8, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -20792, -1062.96, 18525.4, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -21123.8, -983.047, 18883.6, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -21004.5, -983.125, 18818.3, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -29271.7, -468.565, 14966.2, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -28557, -513.521, 15163.7, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -29863.8, 685.396, 3205.96, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -26345.3, -211.121, 2647.2, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -27771.3, -694.64, 9810.78, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -29806.8, -698.26, 9743.92, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -29485.7, -696.269, 10199.7, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -14534, -1346.37, 3083, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -15857, -1406.15, 3071.89, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, -14248.7, -1269.62, 4058.53, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 40262, -76.509, 1900.98, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 19489, 944.621, -22386.2, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 20252.1, 846.4, -22965.2, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 20130, 841.293, -23036.5, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 20227, 1129.74, -25710.6, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 20392.8, 1125.67, -25645.7, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 22206, 938.605, -24254.1, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 22195, 1125.74, -26443.2, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 21143.9, 1127.63, -26434.6, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 20986.5, 1128.4, -26566.8, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 17731.6, 937.274, -26337.9, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 17961, 939.562, -26516.9, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 17907, 945.327, -26374.1, "COLONY.ZEN");
spawnBot(GOBBO_GREEN, 48273.1, -3706.38, -25110.3, "COLONY.ZEN");
